Bug 442011 - Asterisk crashed when using realtime LDAP backend
Summary: Asterisk crashed when using realtime LDAP backend
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: asterisk   
(Show other bugs)
Version: 9
Hardware: powerpc
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-11 09:00 UTC by W. Michael Petullo
Modified: 2008-07-30 20:07 UTC (History)
0 users

Fixed In Version: 1.6.0-0.19.beta9.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 20:07:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sip.conf, extconfig.conf, res_ldap.conf and LDAP data (8.93 KB, text/plain)
2008-04-11 09:00 UTC, W. Michael Petullo
no flags Details
Patch to fix crash in asterisk's LDAP backend (11.65 KB, patch)
2008-07-18 02:34 UTC, W. Michael Petullo
no flags Details | Diff

Description W. Michael Petullo 2008-04-11 09:00:37 UTC
Description of problem:
I have configured asterisk to use its realtime LDAP backend. The system crashes
when I execute:

# asterisk -rvvv
imp*CLI> sip show user phone-test load

Version-Release number of selected component (if applicable):
asterisk-1.6.0-0.12.beta7.1.fc9.ppc

How reproducible:
Every time

Steps to Reproduce:
1. Configure Asterisk to use the realtime LDAP backend (see attachments).
2. Execute command as noted above.
  
Actual results:
Asterisk crashes with a segmentation fault.

Expected results:
The user's information should be printed out.

Additional info:
See also:

http://bugs.digium.com/view.php?id=12163

Comment 1 W. Michael Petullo 2008-04-11 09:00:37 UTC
Created attachment 302098 [details]
sip.conf, extconfig.conf, res_ldap.conf and LDAP data

Comment 2 Jeffrey C. Ollie 2008-04-11 13:24:49 UTC
I'll keep track of the upstream bug and when there's a patch or a new beta
version I'll update the package.

Comment 3 Bug Zapper 2008-05-14 09:18:20 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 W. Michael Petullo 2008-07-18 02:34:18 UTC
Created attachment 312094 [details]
Patch to fix crash in asterisk's LDAP backend

Jeffrey, would you be willing to build Asterisk beta 9 with this patch? The
Asterisk developers have stated that beta 10 is waiting on the completion of
the DAHDI migration. This may take some time. Meanwhile, I am trying share an
article about configuring Asterisk using LDAP in Red Hat Magazine.

The bottom line is that this patch fixes the crash and is simply SVN code
backported to beta 9. The only exception is the single line printf that fixes
[1].

[1] http://bugs.digium.com/view.php?id=12995

Comment 5 Fedora Update System 2008-07-25 21:24:36 UTC
asterisk-1.6.0-0.19.beta9.fc9 has been submitted as an update for Fedora 9

Comment 6 W. Michael Petullo 2008-07-25 23:23:27 UTC
The new asterisk-1.6.0-0.19.beta9.fc9 fixes this issue for me.

Comment 7 Fedora Update System 2008-07-30 20:07:54 UTC
asterisk-1.6.0-0.19.beta9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.